Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=Draft, Architettura|MenuLocation=Draft → Matrice}}")
(Created page with "Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di se...")
Line 1: Line 1:
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice}}
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice}}


Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.
==Description==
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.


[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]

Revision as of 16:06, 16 February 2014

Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button

Options

  • The array starts as orthogonal by default, you can then change its mode in the properties.

Properties

  • DatiArray Type: Specifies the type of the array, ortho or polar

For orthogonal arrays:

  • DatiInterval X: The interval between each copy on the first axis
  • DatiInterval Y: The interval between each copy on the second axis
  • DatiInterval Z: The interval between each copy on the third axis
  • DatiNumber X: The number of copies on the first axis
  • DatiNumber Y: The number of copies on the second axis
  • DatiNumber Z: The number of copies on the third axis

For polar arrays:

  • DatiAxis: The normal direction of the array circle
  • DatiCenter: The center point of the array
  • DatiAngle: The angle to cover with copies
  • DatiNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)